Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImR_LocatorC.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "portableserver_export.h"`
`#include "ImplRepoC.h"`
`#include "ace/post.h"`

Include dependency graph for ImR_LocatorC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | ImplementationRepository
## Compounds
interface | ImplementationRepository::Locator
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR___PTR_CH_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR___VAR_CH_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR___OUT_CH_
#define | _IMPLEMENTATIONREPOSITORY_LOCATOR_CH_
## Functions
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Locator_ptr)
TAO_PortableServer_Export void | operator<<= (CORBA::Any &, ImplementationRepository::Locator_ptr *)
TAO_PortableServer_Export CORBA::Boolean | operator>>= (const CORBA::Any &, ImplementationRepository::Locator_ptr &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Locator_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Locator_ptr &)
## Variables
TAO_NAMESPACE_CLOSE TAO_PortableServer_Export ImplementationRepository::_TAO_Locator_Proxy_Broker *(* | ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer )(CORBA::Object_ptr obj)

## Define Documentation

#define _IMPLEMENTATIONREPOSITORY_LOCATOR___OUT_CH_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR___PTR_CH_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR___VAR_CH_

#define _IMPLEMENTATIONREPOSITORY_LOCATOR_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Locator_ptr | _tao_objref
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr * | _tao_elem
| ) |

TAO_PortableServer_Export void operator<<= | ( | CORBA::Any & | ,
|  | ImplementationRepository:: | ServerObject_ptr
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Locator_ptr & | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | ImplementationRepository::Locator_ptr & | _tao_elem
| ) |

## Variable Documentation

TAO_NAMESPACE_CLOSE TAO_PortableServer_Export ImplementationRepository::_TAO_Locator_Proxy_Broker*(* ImplementationRepository__TAO_Locator_Proxy_Broker_Factory_function_pointer)( CORBA::Object_ptr obj )